Name:           iasl
Version:        20090220
Release:        6.6.moblin2
Summary:        Intel ASL compiler/decompiler

Group:          Development/Languages
License:        Intel ACPI
URL:            http://developer.intel.com/technology/iapc/acpi/ 
Source0:	http://www.acpica.org/download/acpica-unix-%{version}.tar.gz	
Source1:        iasl-README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1:		iasl-makefile-as-needed.patch

BuildRequires:  bison patchutils flex


%description
iasl compiles ASL (ACPI Source Language) into AML (ACPI Machine Language),
which is suitable for inclusion as a DSDT in system firmware. It also can
disassemble AML, for debugging purposes.


%prep
%setup -q -n acpica-unix-%{version}
cp -p %{SOURCE1} README.Fedora
%patch1 -p1

%build
export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="$CFLAGS"
cd compiler
# does not compile with %{?_smp_mflags}
make


%install
rm -rf $RPM_BUILD_ROOT
install -p -D compiler/iasl $RPM_BUILD_ROOT%{_bindir}/iasl


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc changes.txt README README.Fedora
%{_bindir}/iasl


%changelog
* Mon Jun 29 2009 Arjan van de Ven <arjan@linux.intel.com> - 20090222
- and fix the underlying issue
* Mon Jun 29 2009 Anas Nashif <anas.nashif@intel.com> - 20090220
- unset LD_AS_NEEDED
* Tue Feb 24 2009 Zhu Yanhai<yanhai.zhu@intel.com> - 20090220
- Version update to 20090220
- Correct SOURCE & %%build section in spec file
* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20061109-4
- Autorebuild for GCC 4.3
  * Sat Aug 11 2007 Till Maas <opensource till name> - 20061109-3
- update License Tag to new Guidelines
- rebuild because of #251794
  * Tue Feb 20 2007 Till Maas <opensource till name> - 20061109-2
- Make description line less than 80 instead of less that 81 characters long
- Permissions of manpage are 0644 instead of 0755 now
  * Thu Feb 01 2007 Till Maas <opensource till name> - 20061109-1
- initial spec for Fedora Extras
